frame .main_menu
pack .main_menu -expand yes -fill both

# tcltkgrass menu.tcl v 4.0 for GRASS5 2004/03/25 Michael Barton 
# based on menu.tcl for GRASS5 by Jacques Bouchard and Markus Neteler
# with scripting support by Andreas Lang


# main menu

menu_build 1 .main_menu {
    File "Files in/out" {
		"Import" "Import maps into GRASS" {
			"Raster map" "" {
           	 	"*Multiple formats using GDAL" "" {
                		"exec  r.in.gdal &"
           		}
				-separator
				"*GRASS ASCII GRID" "" {
					"exec r.in.ascii"
				}
				"*GRASS ASCII vector map" "" {
					"exec r.in.poly"
				}
				-separator
            		"*ERDAS LAN" "" {
                		"exec  i.in.erdas &"
            		}
				"ESRI formats" "" {
	     	       	"*ESRI ARC/INFO ASCII-GRID" "" {
     	     	  	    "exec r.in.arc &"
          	  		}
					"ESRI e00 export file" "" {
						"exec m.in.e00"
					}
					"ESRI Shapefile" "" {
						"exec r.in.shape"
					}
				}
				"*GRIDATB.FOR map file (TOPMODEL)" "" {
					"exec r.in.gridatb &"
				}
				"Tangent raster data file" "" {
				"exec r.in.tang"
				}
				-separator
				"ELAS file" "" {
				"exec r.in.elas"
				}
				"HDF file" "" {
				"exec r.in.hdf"
				}
				"LandSat tape formats" "" {
					"LandSat MSS files from tape format" "" {
					"run i.tape.mss &"
					}
					"LandSat MSS header file from tape format" "" {
					"run i.tape.mss.h &"
					}
					"LandSat TM files from tape format" "" {
					"run i.tape.tm &"
					}
					"LandSat TM files from tape format (fast method)" "" {
					"run i.tape.tm.fast &"
					}
				}
				"MIADS ASCII file" "" {
				"exec r.in.miads"
				}
				"MIADS ASCII file - replace '99' (no data) values with spaces after import" "" {
				"exec m.strip99s"
				}
				"Other image files from tape format" "" {
				"run i.tape.other &"
				}
           		-separator
				"*Binary file (GTOPO30 format)" "" {
                		"exec  r.in.bin &"
				}
				"Lat/long binary file (GTOPO30 format) into a UTM region" "" {
           		     "exec r.in.ll"
           		}
				"UTM raster map" "" {
				"exec r.in.utm"
				}
    				-separator
				"DEM" "" {
					"DEM examination" "" {
	    					"exec m.dem.examine"
					}
					"DEM extraction" "" {
	    					"exec m.dem.extract"
					}
				}
	            	"Digital orthophoto" "" {
     	       	    "exec r.in.doq"
          	  	}
				"DTED" "" {
					"DTED examination" "" {
	    					"exec m.dted.examine"
					}
					"DTED extraction" "" {
	    					"exec m.dted.extract"
					}
					"DTED I & II into lat/long location" "" {
	    					"exec r.in.dted"
					}
    				}
	            	"Examine tape file" "" {
     	       	    "exec m.examine.tape"
          	  	}
				-separator
				"Graphic image formats" "" {
		            	"PBM image" "" {
     		       	    "exec r.in.pbm"
          		  	}
	          	  	"PGM image" "" {
     	       		    "exec r.in.pgm"
	          	  	}
     	       		"PNG image (24bit)" "" {
					"exec r.in.png"
					}
     	      		"PPM image (24bit)" "" {
						"exec r.in.ppm"
					}
            			"Sun raster image" "" {
						"run r.in.sunrast &"
					}
	     	       	"TIFF image (8/24bit)" "" {
     	     	  	    "exec r.in.tiff"
          	  		}
				}
			}
			"Vector map" "" {
      	      	"ASCII DLG, ASCII vector, or binary vector files" "" {
       	         		"run v.import &"
       	     	}
				"*ASCII GRASS vector file" "" {
					"exec v.in.ascii &"
				}
				"*Import/export old GRASS vector format" "" {
                		"exec  v.convert &"
            		}	
            		"*Various OGR formats" "" {
                		"exec v.in.ogr &"
            		}
				-separator
				"ARC/INFO ungenerate file" "" {
			  		"exec v.in.arc"
    	        		}
   	         		"Atlas Graphics map file" "" {
    	           		"exec v.in.atlas"
     	       	}
				"ESRI e00 export file" "" {
					"exec m.in.e00"
				}
   	         		"ESRI shapefile" "" {
    	           		"exec v.in.shape"
     	       	}
   	         		"MATLAB MapGen files" "" {
    	           		"exec v.in.mapgen.sh"
     	       	}
				-separator
     	       	"Census STF1 or PL94-171 files" "" {
     	           	"exec v.apply.census"
     	       	}
     	       	"GSHHS shoreline data file" "" {
     	           	"exec v.in.gshhs"
     	       	}
     	       	"Tiger file" "" {
     	           	"exec v.in.tig.basic"
     	       	}
     	       	"Tiger file of census 'landmark' features" "" {
     	           	"exec v.in.tig.lndmk"
     	       	}
   	         		"USGS DLG-3 optional format (method 1)" "" {
    	           		"exec v.in.dlg"
     	       	}
   	         		"USGS DLG-3 optional format (method 2)" "" {
    	           		"exec v.in.dlg2"
     	       	}
     	       	"USGS STDS vector data file" "" {
     	           	"exec v.in.stds"
     	       	}
     	       	"USGS STDS or ISO 8211 (FIPS 123) file data dump" "" {
     	           	"exec m.stds.read"
     	       	}
				-separator
     	       	"AutoCAD DXF file" "" {
     	           	"exec v.in.dxf"
     	       	}
     	       	"AutoCAD DXF file of contour lines with z value" "" {
     	           	"exec v.in.dxf3d.sh"
     	       	}
	            	"AutoCAD DXF labels - attach to vectors imported from DXF" "" {
     	           	"exec v.cadlabel"
          	  	}
				-separator
     	       	"XFig FIG 3.2 format file (to ASCII vector file)" "" {
     	           	"exec fig2grass"
     	       	}
				-separator
		    		"Garmin GPS Waypoints/Routes/Tracks" "" {
					"exec v.in.garmin"
	   	 		}
       	 	}	
       	 	"Sites list" "" {
        	    		"ATKIS-DGM elevation file" "" {
         	       		"exec s.in.atkisdgm"
         	   		}
        	    		"ATKIS-KTB elevation file" "" {
         	       		"exec s.in.atkisktb"
         	   		}
        	    		"*ASCII file/spot heights" "" {
         	       		"exec s.in.ascii &"
         	   		}
     	       	"DBF file" "" {
     	           	"exec s.in.dbf"
     	       	}
     	       	"ESRI points shapefile" "" {
     	           	"exec s.in.shape"
     	       	}
	 	   		"Garmin GPS Waypoints/Routes/Tracks" "" {
					"exec s.in.garmin"
	  	  		}
       	 	}
      	  	"Grid3D file" "" {
       	     	"ASCII file" "" {
       	    		     "exec r3.in.ascii"
       	    		}
      	      	"VIS5D v5d file" "" {
     	           	"exec r3.in.v5d"
      	      	}
       	 	}
    		}
		Export "Export maps from GRASS" {
			"Raster map" "" {
        			"*GRASS ASCII" "" {
					"exec r.out.ascii &"
				}
        			"XYZ ASCII file" "" {
					"exec r.out.xyz"
				}
				-separator
         	   		"*ESRI ARC/INFO ASCII-GRID" "" {
         	       		"exec r.out.arc &"
         	   		}
				"*ERDAS/LAN" "" {
         	       		"exec i.out.erdas &"
          	  	}
				"*GRIDATB.FOR map file (TOPMODEL)" "" {
					"exec r.out.gridatb"
				}
				-separator
				"ELAS file" "" {
				"exec r.out.elas"
				}
         	   		"HDF" "" {
         	     	"exec r.out.hdf"
         	   		}
				-separator
      	      	"BIL file with header (to $GISBASE/bil directory)" "" {
       	         		"run r.out.bil &"
       	     	}
      	      	"*Binary file" "" {
       	         		"exec r.out.bin &"
       	     	}
				-separator
      	      	"*MPEG-1 animations" "" {
      	          	"exec r.out.mpeg &"
      	      	}
      	      	"*PNG image (not georeferenced)" "" {
      	          	"exec r.out.png &"
      	      	}
         	   		"*PPM image (24bit)" "" {
         	       		"exec r.out.ppm &"
         	   		}
         	   		"*PPM image from red, green, blue raster maps" "" {
         	       		"exec r.out.ppm3 &"
         	   		}
      	      	"*POVray height-field" "" {
      	          	"exec r.out.pov &"
      	      	}
      	      	"RLC encoded image" "" {
      	          	"exec r.out.rlc"
      	      	}
      	      	"Targa TGA image (24bit)" "" {
      	          	"exec r.out.tga"
      	      	}
      	      	"*TIFF image (8/24bit)" "" {
      	          	"exec r.out.tiff &"
      	      	}
          	  	"*GRASS CELL file as TIFF image" "" {
          	      	"exec cell.out.tiff &"
          	  	}
     	   	}
      	  	"Vector map" "" {
       	     	"*ASCII GRASS vector file" "" {
     	           	"exec v.out.ascii &"
     	       	}
       	     	"ASCII format files (DLG, digit, SCS-GEF, Arc/Info, DXF)" "" {
       	         		"run v.export &"
        	    		}
	            	"*Import/export old GRASS vector format" "" {
                		"exec  v.convert &"
            		}
            		"*POV-Ray format" "" {
                		"exec  v.out.pov &"
            		}
            		"*Various OGR formats" "" {
                		"exec v.out.ogr &"
            		}
				-separator
      	      	"Arc/Info e00 file" "" {
     	           	"exec v.out.e00"
      	      	}
      	      	"Arc/Info ungenerate file" "" {
       	         		"exec v.out.arc"
       	     	}
     	       	"ESRI shapefile" "" {
     	           	"exec v.out.shape"
     	       	}
     	       	"Atlas Graphics map file" "" {
     	           	"exec v.out.atlas"
     	       	}				
     	       	"Idrisi GIS vector file" "" {
     	           	"exec v.out.idrisi"
     	       	}
     	       	"Mapinfo MIF file" "" {
     	           	"run v.out.mapinfo &"
     	       	}
     	       	"MOSS vector file" "" {
     	           	"run v.out.moss &"
     	       	}
				-separator
     	       	"USGS DLG file" "" {
     	           	"exec v.out.dlg"
     	       	}
     	       	"USGS STDS file" "" {
	      	      	"Create STDS file" "" {
     	           		"exec v.out.stds"
      	      		}
	      	      	"Create STDS data quality reports for use in v.out.stds" "" {
     	           		"exec v.stds.dq.cp"
     	       		}
					"Create STDS Metadata for use in v.out.stds" "" {
     	           		"exec v.stds.meta.cp"
     	       		}
					"Create STDS Metadata interactively" "" {
     	           		"exec v.stds.meta.cp"
     	       		}
				}
				-separator
     	       	"AutoCAD DXF file" "" {
     	           	"exec v.out.dxf"
     	       	}
				-separator
     	       	"XFig FIG 3.2 format file (ASCII vector file)" "" {
     	           	"exec grass2fig"
     	       	}
     	       	"XFig FIG 3.2 format file (binary vector map)" "" {
     	           	"exec v.out.xfig"
     	       	}
       	 	}
      	  	"Sites list" "" {
       	     	"*ASCII file" "" {
                		"exec  s.out.ascii &"
       	    		}
      	      	"Arc/Info e00 file" "" {
     	           	"exec s.out.e00"
      	      	}
       	 	}
      	  	"Grid3D file" "" {
       	     	"ASCII file" "" {
       	    		     "exec r3.out.ascii"
       	    		}
      	      	"VIS5D v5d file" "" {
     	           	"exec r3.out.v5d"
      	      	}
       	 	}
   	 	}
		Scripting "" {
	    		"*Start scripting" "" {
				"script_start"
	    		}
	    		"*Stop scripting"  "" {
				"script_stop"
	    		}
	    		"*Play script"     "" {
				"script_play"
	    		}
		}
		"Save display to image file" "" {
			"XWD (Save display, selected with mouse, to xwd format file )" ""  {
                	"exec d.out.xwd"
			}
			"PNG (save currently selected display to 24 bit PNG file)" "" {
                	"exec d.out.png"
			}
			"TIFF (save currently selected display to 8 bit TIFF file)" "" {
                	"exec d.out.tiff"
			}
		}
		"Print driver output" "" {
        		"Paint driver" "" {
            		"Create/edit icon" "" {
                		"run p.icons &"
            		}
            		"Create/edit label" "" {
                		"run p.labels &"
            		}
            		"*Display label" "" {
                		"exec d.paint.labels &"
            		}
            		"Printer select" "" {
                		"exec p.select"
            		}
            		"Generate color table for paint driver" "" {
                		"exec r.colors.paint"
            		}
            		"Paint map creation" "" {
                		"exec p.map.new"
            		}
        		}
        		"Postscript driver" "" {
            		"Create/edit postscript icon" "" {
                 		"exec ps.icon"
             		}
             		"Printer select" "" {
                 		"exec ps.select"
             		}
             		"*Postscript map creation" "" {
                 		"exec ps.map &"
             		}
        		}
		}
		"Print (not yet implemented)" "" {"do_nothing"}
		"Quit" "Bye" resize_menu;quit
	}
	GIS "Manage GRASS GIS files" {
		"Maps & grid3D files" "Map management (map files operations)" {
			"*Copy maps" "" {
				"exec g.copy &"
			}
			"*List maps" "" {
				"exec g.list &"
  	     	 }
			"*List maps using expressions & 'wildcards'" "" {
				"exec g.mlist &"
  	     	 }
			"*Rename maps" "" {
				"exec g.rename &"
			}
			"*Remove maps" "" {
            		"exec g.remove &"
        		}
			"Remove maps using expressions & 'wildcards'" "" {
            		"exec g.mremove"
        		}
        		-separator
        		"*Mapset access" "" {
            		"exec g.access &"
        		}
        		"*Mapset search path" "" {
            		"exec g.mapsets &"
        		}
        		"Mapset remove" "" {
            		"exec mapset.remove"
        		}
    		}
    		Region "Region management" {
        		"*Display region settings" "" {
            		"exec g.region -p &"
        		}
        		"Extend region to maximum extents of displayed maps" "" {
            		"exec d.extend"
        		}
         		"*Manage region" "" {
            		"exec g.region &"
        		}
         		"*Select default region" "" {
            		"exec g.region -d; exec d.erase"
        		}
         		"*Show projection information & create projection files" "" {
            		"exec g.proj &"
        		}
   		}
    		"3D region" "Grid3D region management" {
        		"Create WIND3 (default 3D window) from current 2D region" "" {
            		"exec g3.createwind"
        		}
         		"Manage 3D region" "" {
            		"exec g3.setregion"
        		}
         		"Manage 3D region interactively" "" {
            		"run g3.region &"
        		}
   		}
		"Map type conversions" "raster<->vector<->sites<->grid3D" {
			"Grid3D to sites" "" {
               		"exec r3.to.sites"
            	}
			-separator
			"Raster to sites" "" {
               		"exec r.to.sites"
            	}
			"*Raster to vector map" "" {
				"exec r.to.vect &"
			}	
        		"Raster to vector map (old)" "" {
            		"Lines from thinned raster" "" {
					"exec r.line"
            		}
            		"Area edges" "" {
                		"exec r.poly"
            		}
            		"Create contour map" "" {
                		"exec r.contour"
            		}
			}
			-separator
			"*Vector to raster" "" {
                	"exec v.to.rast &"
			}
			"*Vector to points" "" {
				"exec v.to.points &"
			}
			"Vector to sites" "" {
				"exec v.to.sites"
			}
			-separator
			"Sites to grid3D" "" {
				"exec s.to.rast3"
 			}
			"Sites to raster" "" {
				"exec s.to.rast"
 			}
			"*Sites to vector" "" {
				"exec v.in.sites &"
			}
		}
    		"Coordinate Conversions" "" {
			"Datum Shift" "" {
	  	 	 	"exec m.datum.shift"
			}
			-separator
			"Projection conversion for coordinates (interactive)" "" {
	    			"run m.proj &"
			}
			"Projection conversion for coordinates" "" {
	  	 	 	"exec m.proj2"
			}
			-separator
			"geocentric to lat/lon" "" {
	   	 		"exec m.gc2ll"
			}
			"lat/lon to geocentric" "" {
	  		 	"exec m.ll2gc"
			}
			-separator
			"UTM to lat/lon" "" {
	   		 	"exec m.u2ll"
			}
			"lat/lon to UTM" "" {
	    			"exec m.ll2u"
			}
    		}
		"Other" "" {
			"ASCII file utility" "" {
				"run m.futil &"
			}
			"Create cell/area tables & calculate unit conversions" "" {
				"exec m.qcalc"
			}
			"*Create/edit projection information for current location" "" {
				"exec g.setproj &"
			}
			"CTG data from USGS lulc file" "" {
			    "exec m.lulc.USGS"
			}
			"Flip elevation data" "" {
			    "exec m.flip"
			}
			"Information on Tiger Region" "" {
			    "exec m.tiger.region"
			}
			"Rotate elevation data 90 degree" "" {
			    "exec m.rot90"
			}
			"*Show current GRASS environment settings" "" {
				"exec g.gisenv &"
			}
			"*Show current GRASS version" "" {
				"exec g.version &"
			}
			"UTM Region to lat/lon Region" "" {
				"exec m.region.ll"
			}
		}
	}
    	Display "Display maps" {
		"*Display Manager" "" {
          	"exec d.m &"
		}
        	"*NVIZ visualization tool" "" {
            	"exec nviz -q &"
        	}
		-separator
    		"Start displays" "" {
        		"All active saved X" "" {start_monitors}
        		-separator
        		X0 "" {"start_monitor x0"}
        		X1 "" {"start_monitor x1"}
        		X2 "" {"start_monitor x2"}
        		X3 "" {"start_monitor x3"}
        		X4 "" {"start_monitor x4"}
        		X5 "" {"start_monitor x5"}
        		X6 "" {"start_monitor x6"}
        		-separator
        		CELL "" {"exec xterm -iconic -e d.mon start=CELL"}
			-separator
			"Start/restart display at specified window size" "" {
            		"exec d.monsize"
			}
    		}
    		"Stop displays" "" {
        		"All X" "" {stop_monitors}
        		-separator
        		X0 "" {"stop_monitor x0"}
        		X1 "" {"stop_monitor x1"}
        		X2 "" {"stop_monitor x2"}
        		X3 "" {"stop_monitor x3"}
    			X4 "" {"stop_monitor x4"}
    			X5 "" {"stop_monitor x5"}
        		X6 "" {"stop_monitor x6"}
        		-separator
        		CELL "" {"exec xterm -iconic -e d.mon stop=CELL"}
    		}
    		"Select displays" "" {
			X0 "" {"exec xterm -iconic -e d.mon select=x0"}
   			X1 "" {"exec xterm -iconic -e d.mon select=x1"}
     		X2 "" {"exec xterm -iconic -e d.mon select=x2"}
       		X3 "" {"exec xterm -iconic -e d.mon select=x3"}
        		X4 "" {"exec xterm -iconic -e d.mon select=x4"}
        		X5 "" {"exec xterm -iconic -e d.mon select=x5"}
        		X6 "" {"exec xterm -iconic -e d.mon select=x6"}
        		-separator
        		CELL "" {"exec xterm -iconic -e d.mon select=CELL"}
    		}
        	-separator
        	Raster "Display raster maps" {
    			"*Display raster maps" "" {
        			"exec d.rast &"
    			}
	        	"*Display raster map, legend, & title in active display" "" {
	            	"exec d.rast.leg &"
	        	}
			-separator
    			"Display raster with equalized greyscale colors" "" {
        			"exec d.rast.rescale"
    			}
    			"*Display HIS overlays" "" {
        			"exec d.his &"
    			}
    			"*Display RGB overlays" "" {
        			"exec d.rgb &"
    			}
    			"Drape raster map over shaded relief or aspect map" "" {
        			"exec d.shadedmap"
    			}
			-separator
 	       	"*Slide show of all raster maps in current mapset" "" {
 	           	"exec d.slide.show &"
	        	}
		}
		Vector "Display vector maps" {
    			"*Display vector maps" "" {
        			"exec d.vect &"
    			}
		}
        	Sites  "Display sites"  {
    			"Display sites as markers" "" {
        			"exec d.sites"
    			}
    			"Display sites as icons" "" {
        			"exec d.sites.icons"
    			}
    			-separator
    			"Display points as markers" "" {
        			"exec d.points"
    			}
    			"Display points as icons" "" {
        			"exec d.icons"
    			}
			-separator
            	"Create/edit icons" "" {
                	"run p.icons &"
            	}
		}
        	Text "Display text on maps" {
    			"Label raster maps" "" {
        			"exec d.rast.labels"
    			}
    			"Label vector maps" "" {
        			"exec d.vect.labels"
    			}
    			"Label sites" "" {
        			"exec d.site.labels"
    			}
			-separator
            	"*Display legend for raster maps" "" {
                	"exec d.legend &"
            	}
			-separator
            	"*Display category values in raster map cells" "" {
                	"exec d.rast.num &"
            	}
			-separator
            	"*Create map title file for use by d.text" "" {
               	"exec d.title &"
            	}
			-separator
            	"Create text labels" "" {
                	"exec d.labels"
            	}
            	"Display text labels" "" {
                	"exec d.label"
            	}
            	"*Display text labels for paint output" "" {
                	"exec d.paint.labels &"
            	}
			-separator
            	"*Select text font" "" {
                	"exec d.font &"
            	}
			-separator
            	"*Draw text" "" {
                	"exec d.text &"
            	}
            	"*Draw text using TrueType fonts" "" {
                	"exec d.text.freetype &"
            	}
			-separator
            	"Display standard GRASS fonts" "" {
                	"run show.fonts.sh &"
            	}
        	}
        	Graphics "Display graphics on maps" {
            	"*Display histogram" "" {
                	"exec d.histogram &"
            	}
            	"*Display line graph" "" {
                	"exec d.linegraph &"
            	}
            	"*Display graphs at vector point localities" "" {
                	"exec d.vect.chart &"
            	}
            	"*Display geodesic line" "" {
                	"exec d.geodesic &"
            	}
            	"*Display rhumbline" "" {
                	"exec d.rhumbline &"
            	}
			-separator
            	"*Display color table" "" {
                	"exec d.colortable &"
            	}
            	"Display standard GRASS colors" "" {
                	"run show.color.sh &"
            	}
			-separator
            	"*Overlay bar scale and north arrow" "" {
                	"exec d.barscale *"
            	}
            	"*Overlay line scale and north arrow" "" {
                	"exec d.scale *"
            	}
            	"*Overlay grid" "" {
                	"exec d.grid &"
            	}
            	"*Overlay slope arrows on aspect raster map" "" {
                	"exec d.rast.arrow &"
            	}
			-separator
            	"*Draw simple graphics in active display monitor (display coordinates)" "" {
                	"exec d.graph &"
            	}
            	"*Draw simple graphics in active display monitor (map coordinates)" "" {
                	"exec d.mapgraph &"
            	}
        	}
		-separator
        	"Display multiple maps, legend, & title in active display" "" {
            	"run d.display &"
        	}
        	"Split active display and show maps in each half" "" {
                "exec d.split"
        	}
		-separator
    		"*Manage displays" "" {
        		"exec d.mon &"
    		}
		"*Manage display frames" "" {
            	"exec d.frame &"
        	}
		-separator
        	"Manage colormode" "" {
            	"exec d.colormode"
        	}
		-separator
        	"*Save file of commands to recreate active display" "" {
            	"exec d.save &"
        	}
		-separator
        	"*Redraw active display (Note: some items may not be redrawn)" "" {
            	"exec d.redraw &"
        	}
        	-separator
        	"*Pan in active display" "" {
            	"exec d.pan &"
        	}
		"*Show geographical position" "" {
			"exec d.where &"
		}
		"*Measure lengths and areas" "" {
 			"exec d.measure &"
		}
		"*Zoom/Unzoom in active display" "" {
			"exec d.zoom &"
        	}
		-separator
        	"*Erase active display/frame" "" {
			"exec d.erase &"
        	}
    	}
	Raster "Raster map analysis" {
        	"Develop map" "" {
			"*Digitize" "" {
				"exec r.digit &"
            	}
			-separator
            	"Create/modify support file" "" {
                	"run r.support &"
            	}
			-separator
            	"*Compress/decompress raster file" "" {
				"exec r.compress &"
            	}
            	"*Manage boundary definitions" "" {
                	"exec r.region &"
            	}
            	"*Manage null values" "" {
                	"exec r.null &"
            	}
            	"*Manage timestamps for files" "" {
                	"exec r.timestamp &"
            	}
            	"*Quantization for floating-point maps" "" {
                	"exec r.quant &"
            	}
			"*Resample (change resolution)" "" {
				"exec r.resample &"
			}
			-separator
			"*Reproject raster from other location" "" {
				"exec r.proj &"
			}
			"Shift raster map in display using mouse" "" {
				"exec r.fix.ortho"
			}
		}
		"Manage map colors" "" {
            	"*Modify color table" "" {
                	"exec d.colors &"
            	}
               "Set colors to color table from another raster map" "" {
                   	"exec r.colorsrast"
               }
               "*Set colors to predefined color tables" "" {
                    "exec r.colors &"
               }
               "Set colors using color rules" "" {
                    "exec r.colorsrules"
               }
			-separator
            	"Blend 2 color maps to produce 3 RGB files" "" {
                	"exec r.blend"
            	}
			"*Create color image from RGB files" "" {
                	"exec r.composite &"
			}
			"*Create 3 RGB (red, green, blue) maps from 3 HIS (hue, intensity, saturation) maps" "" {
                	"exec r.his &"
			}
		}
		-separator
		"*Query by coordinate(s)" "" {
			"exec r.what &"
		}
		"*Query with mouse" "" {
                "exec d.what.rast &"
		}
		-separator
		"Measure lengths and areas" "" {
			"exec d.measure"
		}
        	-separator
		"Set/remove mask" "" {
			"run r.mask &"
        	}
		-separator
		"*Create buffers" "" {
			"exec r.buffer &"
		}
		"*Locate closest points between areas in 2 raster maps" "" {
			"exec r.distance &"
		}
		"*Map calculator" "" {
			"exec mapcalc &"
		}
		"*Neighborhood analysis" "" {
			"exec r.neighbors &"
		}
		"Overlay maps" "" {
               "*Cross product" "" {
				"exec r.cross &"
               }
               "*Function of map series" "" {
                    "exec r.series &"
               }
               "*Patch maps" "" {
                    "exec r.patch &"
               }
			-separator
               "Bayesian expert system" "" {
                 	"exec r.binfer"
               }
			"Boolean overlays" "" {
			 	"exec r.combine"
               }
               "Inference engine" "" {
                    "exec r.infer"
               }
			"Weighted overlays" "" {
				"run r.weight &"
			}
			"Weighted overlays using rules file" "" {
                	"exec r.weight2"
			}
			-separator
			"*Statistical calculations for cover map over base map" "" {
                	"exec r.statistics &"
            	}
		}
		"Solar radiance and shadows" "" {
			"*Solar irradiance & daily irradiation" "" {
				"exec r.sun &"
			}
			"*Shadows map for sun position or date/time" "" {
				"exec r.sunmask"
			}
		}
		"Terrain analysis" "" {
               "*Cost surface" "" {
                    "exec r.cost &"
               }
               "*Least cost route or flow" "" {
                    "exec r.drain &"
               }
			"*Profile analysis" "" {
				"exec d.profile &"
			}
			"Shaded relief map" "" {
                    "exec r.hillshade"
			}
               "*Slope and aspect" "" {
                    "exec r.slope.aspect &"
               }
			"*Terrain parameters" "" {
                	"exec r.param.scale &"
			}
			"*Textural features" "" {
                	"exec r.texture &"
			}
               "*Visibility/line of sight" "" {
                    "exec r.los &"
               }
            }
		"Transform features" "" {
            	"*Clump small areas" "" {
                	"exec r.clump &"
			}
			"*Grow areas" "" {
				"exec r.grow &"
			}
			"*Thin linear features" "" {
				"exec r.thin &"
			}
		}
		-separator
		"Hydrologic modeling" "" {
                "Cascaded 2D hydrologic model" "" {
                    "run r.hydro.CASC2D &"
                }
                "*Depressionless elevation map and flowline map" "" {
                    "exec r.fill.dir &"
                }
                "Finite element analysis for hydrologic simulations" "" {
                    "run r.water.fea &"
                }
                "*Flow accumulation for massive grids (floating-point version)" "" {
                    "exec r.terraflow &"
                }
                "*Flow accumulation for massive grids (integer version)" "" {
                    "exec r.terraflow.short &"
                }
                "Flowline map" "" {
                    "exec r.flow"
                }
                "Flowline map using MMD algorithm" "" {
                    "exec r.flowmd"
                }
                "*Topographic index map" "" {
                    "exec r.topidx &"
                }
                "*TOPMODEL simulation" "" {
                    "exec r.topmodel &"
                }
			 "*Watershed subbasins" "" {
                    "exec r.basins.fill &"
                }
                "*Watershed basin creation" "" {
                    "exec r.water.outlet &"
                }
                "Watershed basin analysis" "" {
                    "exec r.watershed"
                }
		}
		"Landscape structure modeling" "" {
			"Set up sampling and analysis framework" "" {
                    "run r.le.setup &"
                }
			 -separator
                "Analyze landscape characteristics" "" {
                    "exec r.le.pixel"
                }
                "Analyze landscape patch characteristics" "" {
                    "exec r.le.patch"
                }
                "Output landscape patch information" "" {
                    "exec r.le.trace"
                }
		}
		"Wildfire modeling" "" {
			"*Generate rate of spread (ROS) maps" "" {
                    "exec r.ros &"
                }
                "*Generate least-cost spread paths" "" {
                    "exec r.spreadpath &"
                }
                "*Simulate anisotropic spread phenomena" "" {
                    "exec r.spread &"
                }
		}
		-separator
		"Change category values and labels" "" {
            	"*Edit category values of individual cells for displayed raster map" "" {
                	"exec d.rast.edit &"
            	}
			-separator
            	"Reclassify categories for areas of specified sizes" "" {
                	"exec r.reclass.area"
            	}
            	"*Reclassify categories interactively" "" {
                	"exec r.reclass &"
            	}
            	"Reclassify categories using rules" "" {
                	"exec r.reclass"
            	}
			-separator
            	"Recode categories using rules (create new map)" "" {
                	"exec r.recode.rules"
            	}
            	"Recode categories using rules file (create new map)" "" {
                	"exec r.recode.file"
            	}
			-separator
            	"*Rescale categories (create new map)" "" {
                	"exec r.rescale &"
            	}
            	"*Rescale categories with equalized histogram (create new map)" "" {
                	"exec r.rescale.eq &"
            	}
		}
		-separator
		"*Generate concentric circles around points" "" {
			"exec r.circle &"
		}
		"Generate surfaces" "" {
			"Interpolate surfaces from points" "" {
				"*Bilinear from points" "" {
                		"exec r.bilinear &"
            		}
				"Inverse distance weighted from sites" "" {
                		"exec s.surf.idw"
            		}
				"*Inverse distance weighted from raster (Lat./Long. locations)" "" {
                		"exec r.surf.idw &"
            		}
            		"Inverse distance weighted from raster (non-Lat./Long. loc.)" "" {
                		"exec r.surf.idw2"
            		}
            		"Regularized spline tension from sites" "" {
                		"exec s.surf.rst"
            		}
			}
			"Interpolate surfaces from contours" "" {
            		"*Regularized spline tension from raster contours" "" {
                		"exec r.surf.contour &"
            		}
            		"*Regularized spline tension from vector contours" "" {
                		"exec v.surf.rst &"
            		}
		  	}
			-separator
            	"Fill null cells through RST interpolation" "" {
                	"exec r.fillnulls"
            	}
            	"*Generate fractal surface" "" {
                	"exec r.surf.fractal &"
            	}
            	"*Generate gaussian deviates surface" "" {
                	"exec r.surf.gauss &"
            	}
            	"Generate plane" "" {
                	"run r.plane &"
            	}
            	"*Generate random deviates surface" "" {
                	"exec r.surf.random &"
            	}
            	"*Generate random surface with spatial dependence" "" {
                	"exec r.random.surface &"
            	}
		}
		"Generate points" "" {
            	"*Generate random cells" "" {
                	"exec r.random.cells &"
            	}
            	"*Generate random cells & sites from raster map" "" {
                	"exec r.random &"
            	}
        	}
		-separator
        	"Reports & statistics" "" {
			"*Report basic file information" "" {
                	"exec r.info &"
            	}
            	"*Report category labels and values" "" {
             	   "exec r.cats &"
            	}
           	 -separator
           	"*General statistics" "" {
            	    "exec r.stats &"
            	}
            	"*Range of all category values" "" {
            	    "exec r.describe &"
            	}
            	"*Sum all cell category values" "" {
            	    "exec r.sum &"
            	}
            	"*Sum area by map and category" "" {
            	    "exec r.report &"
            	}
            	"*Total surface area, considering toppography" "" {
            	    "exec r.surf.area &"
            	}
            	"*Univariate statistics" "" {
            	    "exec r.univar &"
            	}
            	"Volume of clumped cells" "" {
             	   "exec r.volume"
            	}
		  	-separator
            	"*Sample values along transects" "" {
            	    "exec r.profile &"
            	}
			"*Sample values along transects (use azimuth, distance)" "" {
				"exec r.transect &"
            	}
		  	-separator
            	"*Covariance/correlation" "" {
                	"exec r.covar &"
            	}
            	"Linear regression between 2 maps" "" {
                	"exec r.regression.line"
            	}
            	"*Mutual category occurences (coincidence)" "" {
                	"exec r.coin &"
            	}
        	}
	}
    	Vector "Vector map analysis" {
		"Develop map" "" {
            	"*Digitize" "" {
                	"exec v.digit &"
            	}
			-separator
            	"*Create/rebuild topology" "" {
                	"exec v.build &"
            	}
			"*Check topology" "" {
				"exec v.topo.check &"
			}
            	-separator
            	"Add intermediate points between nodes" "" {
                	"run v.plant &"
            	}
            	"Bulk label unlabeled areas" "" {
                	"exec v.alabel"
            	}
            	"Bulk label unlabeled lines" "" {
                "exec v.llabel"
            	}
            	"Manage timestamps for vector files" "" {
                	"exec v.timestamp"
            	}
            	"Remove outer arcs from vector file" "" {
                	"exec v.rmedge"
            	}
			-separator
            	"Add intermediate points between nodes" "" {
                	"run v.plant &"
            	}
			-separator
            	"*Convert vector feature types" "" {
                	"exec v.type &"
            	}
			-separator
            	"*Create text label file for vector features" "" {
                	"exec v.label &"
            	}
		  	-separator
            	"*Reproject vector from other location" "" {
                	"exec v.proj &"
            	}
		}
		"Clean map" "" {
            	"*Clean vector files" "" {
                	"exec v.clean &"
            	}
			-separator
            	"*Build polylines from adjacent segments" "" {
                	"exec v.build.polylines &"
            	}
            	"Split polylines into segments" "" {
                	"exec v.split"
            	}
		}
		"Register/unregister connections" "" {
	     	"*Register ESRI shapefile" "" {
       			"exec  v.shape.register &"
          	}
         		"*Unregister ESRI shapefile" "" {
                	"exec  v.shape.unregister &"
          	}
	     	"*Register ESRI shapefiles and define PostGRASS connections" "" {
       			"exec  v.format &"
          	}
			-separator
            	"*Set database connection for vector attributes" "" {
                	"exec v.db.connect &"
            	}
            	"*Set database & driver for vector attributes" "" {
                	"exec v.database &"
            	}
		}
		"*Rectify & georeference vector map" "" {
			"exec v.transform &"
		}
		-separator
		"*Query by attributes" "" {
			"exec v.extract &"
           }
		"*Query by map features" "" {
			"exec v.select &"
           }
		"Query by coordinate(s)" "" {
			"exec v.what"
		}
		"*Query with mouse" "" {
			"exec d.what.vect &"
		}
		-separator
		"*Buffer features" "" {
			"exec v.buffer &"
		}
		-separator
		"Display feature geometry (area and perimeter)" "" {
			"exec v.area"
           	}
		"*Locate nearest features to points or centroids" "" {
			"exec v.distance &"
           }
		"*Network analysis" "" {
			"*Allocate subnets" "" {
              		"exec  v.net.alloc &"
            	}	
			"*Network maintenance" "" {
               	"exec  v.net &"
               }
			"*Shortest route" "" {
               	"exec  v.net.path &"
			}
			"*Shortest route (DGLib library)" "" {
               	"exec  d.path &"
			}
               "*Split net to bands between cost isolines" "" {
                	"exec  v.net.iso &"
               }
			"*Steiner tree" "" {
				"exec  v.net.steiner &"
			}
			"*Traveling salesman analysis" "" {
				"exec  v.net.salsman &"
			}
		}
		"Overlay maps" "" {
			"*Overlay/combine 2 vector maps" "" {
                	"exec v.overlay &"
            	}
            	"*Patch multiple maps (combine)" "" {
                	"exec v.patch &"
            	}
        	}
		"*Sample raster map at vector points" "" {
			"exec v.what.rast &"
		}
		-separator
		"Change attributes" "" {
            	"*Attach, delete, or report categories" "" {
                	"exec v.category &"
            	}
            	"*Reclassify features" "" {
                	"exec v.reclass &"
            	}
		}
		-separator
		"Generate vector maps" "" {            
            	"*Generate convex hull for point set" "" {
                	"exec v.hull &"
            	}
            	"*Generate vector points from database x&y coordinates" "" {
                	"exec v.in.db &"
            	}
            	"Generate area features for boundaries of USGS 7.5-minute quadrangles" "" {
                	"exec v.mkquads"
            	}
            	"*Generate area feature for extent of current region" "" {
                	"exec v.in region &"
            	}
            	"Generate grid" "" {
                	"exec v.mkgrid"
            	}
            	"Generate transects (line or area)" "" {
                	"exec v.in.transects"
            	}
		}
		"Generate points in areas" "" {            
            	"*Generate random points in vector areas" "" {
                	"exec v.random &"
            	}
            	"Generate random points in vector areas (scaled)" "" {
                	"exec v.scale.random"
            	}
		}
		-separator
		"Reports & statistics" "" {
			"*Basic information" "" {
                	"exec v.info &"
            	}
			"Detailed information" "" {
                	"exec v.dump"
			}				
			-separator
            	"General statistics" "" {
                	"exec v.stats"
            	}
            	"Sum area and perimeter by category" "" {
                	"exec v.report"
            	}
			-separator
            	"Calculate spatial autocorrelation statistics" "" {
                	"exec v.autocorr"
            	}
		}
    }
	Site "Sites list analysis" {
		"Develop sites" "" {
            	"Reproject sites list from other location" "" {
                	"exec s.proj"
            	}
		}
		-separator
		"Query attributes to extract & display sites" "" {
			"exec d.sites.qual"
          }
    		"Query attributes to extract & display sites interactively" "" {
			"exec d.siter2"
    		}
		"Query by coordinate(s)" "" {
			"exec s.what"
		}
		"Query & extract sites using raster mask" "" {
			"exec s.mask"
		}
		"Query & extract ASCII points list using raster mask" "" {
			"exec r.mask.points"
		}
		"Query with mouse" "" {
			"exec d.what.sites"
		}
		-separator
		"Average site attribute within cells" "" {
			"exec s.windavg"
		}
		"Univariate statistics within cells" "" {
			"exec s.cellstats"
		}
		-separator
		"Median polish of sites list" "" {
			"exec s.medp"
		}
		"Resource use within territories" "" {
			"exec s.territory"
		}
		"Semivariograms" "" {
            	"Create sample semivariogram for sites attribute (uses GNUplot)" "" {
                	"exec s.sv"
            	}
            	"Fit Semivariogram model to sites attribute (uses GNUplot)" "" {
                	"exec s.sv2svfit"
            	}
            	"Semivariogram model fitting (uses GNUplot)" "" {
                	"exec m.svfit"
            	}
		}
		-separator
		"Reclassify sites list" "" {
			"exec s.reclass"
		}
		-separator
		"Generate areas around sites" "" {
            	"Generate vector circles around sites (constant size)" "" {
                	"exec v.circle"
            	}
            	"Generate vector circles around sites (variable sizes)" "" {
                	"exec v.bubble"
            	}
            	"Generate vector convex hull around set of sites" "" {
                	"exec s.hull"
            	}
            	"Generate vector Delaunay triangulation around sites" "" {
                	"exec s.delaunay"
            	}
            	"Generate vector polygons around sites" "" {
                	"exec v.in.poly"
            	}
            	"Generate vector Voronoi diagram (Thiessen polygons) around sites" "" {
                	"exec s.voronoi"
            	}
		}
		"Generate raster surface through interpolation" "" {
			"Inverse distance weighted" "" {
				"exec s.surf.idw"
			}
			"Regularized spline tension" "" {
				"exec s.surf.rst"
            	}
        	}
		"Generate random sites" "" {
			"Generate randomly placed sites" "" {
				"exec s.random"
			}
			"Randomly sample values in raster map" "" {
				"exec s.sample"
            	}
			"Perturb sites randomly" "" {
				"exec s.perturb"
			}
		}
		"Reports & statistics" "" {
            	"Basic information" "" {
                	"exec s.info"
            	}
			-separator
            	"Probability plot of sites attribute (requires GNUplot)" "" {
                	"exec s.probplt"
            	}
            	"Quadrat count indexes for sites" "" {
                	"exec s.qcount"
            	}
            	"Tests of normality for sites attribute" "" {
                	"exec s.normal"
            	}
            	"Univariate statistics for sites attribute" "" {
                	"exec s.univar"
            	}
		}
	}
	Image "Image processing" {
    		"Develop images & groups" "" {
			"*Create/edit imagery group" "" {
     	   		"exec i.group &"
    			}
    			"*Target imagery group" "" {
     	   		"exec i.target &"
    			}
			-separator
         		"Mosaic up to 4 adjacent images" "" {
				"exec i.image.mosaic.tcl"
         		}
		}
		"Manage image colors" "" {
			"Assign a histogram contrast stretch qrey scale" "" {
				"exec r.colors.grey"
			}
			-separator
         		"Assign RGB channels to bands in image group" "" {
             		"run i.colors &"
         		}
			-separator		
         		"Create color composite image from user-specified RGB bands" "" {
             		"run i.composite &"
         		}
         		"Create color raster map from user-specified RGB bands in image group" "" {
             		"run i.quantize &"
         		}
			-separator
         		"*Transform HIS (Hue/Intensity/Saturation) color image to RGB (Red/Green/Blue)" "" {
             		"exec i.his.rgb &"
         		}
         		"*Transform RGB (Red/Green/Blue) color image to HIS (Hue/Intensity/Saturation)" "" {
             		"exec i.rgb.his &"
         		}
		}
    		"Rectify & georeference image group" "" {
         		"*Set ground control points (GCP's) from raster map" "" {
             		"exec i.points &"
         		}
         		"Set ground control points (GCP's) from vector map" "" {
             		"run i.vpoints &"
         		}
			-separator
         		"*Affine and Polynomial rectification (rubber sheet)" "" {
             		"exec i.rectify &"
         		}
			-separator
         		"*Ortho photo rectification" "" {
             		"exec i.ortho.photo &"
         		}
    		}
    		-separator
		"Set/remove raster mask" "" {
			"run r.mask &"
        	}
		-separator
    		"Classify image" "" {
         		"*Clustering input for unsupervised classification" "" {
             		"exec i.cluster &"
         		}
	         	-separator
         		"*Maximum likelyhood classification (MLC)" "" {
             		"exec i.maxlik &"
         		}
         		"*Sequential maximum a posteriory classification (SMAP)" "" {
             		"exec i.smap &"
         		}
			-separator
         		"*Interactive input for supervised classification" "" {
             		"exec i.class &"
         		}
         		"*Non-interactive input for supervised classification (MLC)" "" {
             		"exec i.gensig &"
         		}
         		"*Non-interactive input for supervised classification (SMAP)" "" {
             		"exec i.gensigset &"
         		}
    		}
		"Dehaze for LandSAT 5" "" {
             	"exec i.tm.dehaze.tcl"
        	}
    		"Filter image" "" {
         		"*Zero edge crossing detection" "" {
             		"exec i.zc &"
         		}
         		"*User defined matrix filter" "" {
             		"exec r.mfilter &"
         		}	
    		}
		"Shape dectection" "" {
             	"exec i.shape"
        	}
		"*Spectral response" "" {
             	"exec i.spectral &"
        	}
		"*Tassled cap vegetation index" "" {
             	"exec i.tasscap &"
        	}
   		"Transform image" "" {
         		"*Canonical component" "" {
             		"exec i.cca &"
         		}
         		"*Principal component" "" {
          		   "exec i.pca &"
         		}
			"*Fast Fourier Transform" "" {
				"exec i.fft &"
         		}
         		"*Inverse Fast Fourier Transform" "" {
             		"exec i.ifft &"
         		}
    		}
    		-separator
        	"Reports & statistics" "" {
			"Report basic file information" "" {
                	"exec r.info"
            	}
            	"Range of image values" "" {
            	    "exec r.describe"
            	}
			-separator
            	"Calculate texture statistics for image" "" {
            	    "exec i.texture"
            	}
            	"Iterative proportional fitting for error matrices" "" {
                	"exec m.ipf"
            	}
            	"*Kappa classification aaccuracy assessment" "" {
                	"exec r.kappa &"
            	}
            	"Optimum index factor for LandSat TM" "" {
                	"exec i.oif"
            	}
			"Regression analysis" "" {
	            	"Compute linear and non-linear multiple regression models for up to 3 image bands and feature value" "" {
	            	    "exec r.rational.regression"
     	       	}
	            	"Compute simple linear multiple regression model for up to 3 image bands and feature value" "" {
	            	    "exec r.linear.regression"
     	       	}
	            	"Use regression model to predict feature values from 3 image bands" "" {
	            	    "exec i.rvi.prediction"
     	       	}
			}
		}
	}
	"Grid3D" "3D volume management. Use NVIZ to view." {
		"Develop grid3D volumes" "" {
			"Manage nulls for grid3D volume" "" {
	  		   	"exec r3.null"
			}
			"Manage timestamp for grid3D volume" "" {
	     		"exec r3.timestamp"
			}
		}
		"Create 3D mask for grid3D operations" "" {
	     	"exec r3.mask"
		}
		"Map Calculator for grid3D volumes" "" {
	     	"run r3.mapcalc &"
		}
		"Report & Statistics" "" {
			"Display information about grid3D volume" "" {
	    		 	"exec r3.info"
        		}
		}
	}
	Databases "Database management" {
		"Database management" "" {
            	"Manage database" "" {
				"*Connect to database" "" {
               	 	"exec db.connect &"
          	  	}
     	      	"*Create empty database" "" {
	               	"exec db.createdb &"
            		}
          	 	"*PERMANTLY remove database" "" {
     	          	"exec db.dropdb &"
	            	}
           		"*PERMANTLY remove table" "" {
          	     	"exec db.droptable &"
     	       	}
	            	"*Copy table" "" {
                		"exec db.copy &"
            		}
          	 	"View/edit database attributes" "" {
     	          	"exec d.what.db"
	            	}
			}
			"Database information" "" {
          	 	"*Describe table" "" {
     	          	"exec db.describe &"
	            	}
          	  	"*List columns" "" {
     	           	"exec db.columns &"
	            	}
	    			"*List databases" "" {
          	      	"exec db.databases &"
     	       	}	    	    
		    		"*List drivers" "" {
               	 	"exec db.drivers &"
          	  	}	    	    
		    		"*List tables" "" {
 	               	"exec db.tables &"
            		}	    	    
			}
			-separator
            	"Query" "" {
				"Select all" "" {
             	 	  	"exec db.select.all"
            		}	    
            		"*Query data (SQL select)" "" {
              	 	 	"exec db.select &"
            		} 
            		"*Execute SQL statement" "" {
               	 	"exec db.execute &"
            		}
			}
	    		-separator
            	"*Manage PostGIS database" "" {
                	"exec pg.postgisdb &"
            	}	    	    
	    		-separator
            	"*Load vector to DB" "" {
                	"exec v.to.db &"
            	}	    	    
            	"Reclass vector" "" {
                	"exec v.db.reclass"
            	}
        	}
   	}
    Config "Configuration of TclTkGRASS" {
        "Resize menu" "" {resize_menu}
        "Module windows" "" {
            "Automatic size for all active windows" "" {
                "resize_menu; resize $module_list"
            }
            "Reinitialize all active windows" "" {
                "resize_menu; reinit_modules"
            }
            -separator
            "Undisplay all active windows" "" {
                unmap_modules
            }
            "Restore all undisplayed windows" "" {
                map_modules
            }
            -separator
            "Iconify all active windows" "" {
                "foreach module $module_list {catch {wm iconify .$module; \
                                                     wm iconify .$module.print}}"
            }
            "Deiconify all active windows" "" {
                "foreach module $module_list {catch {wm deiconify .$module; \
                                                     wm deiconify .$module.print}}"
            }
            -separator
            "Destroy all active windows" "" {
                "foreach module $module_list {catch {destroy .$module}}"
            }
        }
        -separator
        "Set fonts" "" {
            "Menu font" "" {
                "fontsel {Menu font} main_menu(font);\
                 setfont .main_menu $main_menu(font);\
                 resize_menu"
            }
            "Module font" "" {
                "fontsel {Module font} module_font;\
                 foreach module $module_list {setfont .$module $module_font} ;\
                 resize $module_list"
            }
            "Results font" "" {
                "fontsel {Result font} result_font"
            }
            "Dialog font" "" {
                "fontsel {Dialog font} dialog_font"
            }
        }
        "Set display dimensions" "" {
            "setdisplay"
        }
        "Configure html-browser" "" {
            "config_netscape"
        }
        "Save config" "" {
            "tcltkgrass_save ."
        }
    }
	"Help" "Help" {
		"*Manual pages" "" {
			"exec g.manual &"
        	}
		"GRASS help (text interface)" "" {
	    		"run g.help &"
		}
        	-separator
        	"Tcltkgrass menus help" "" {
           	"source $env(TCLTKGRASSBASE)/main/help.tcl"
        	}
        	"About tcltkgrass" "" {
           	"source $env(TCLTKGRASSBASE)/main/about.tcl"
        	}
		-separator
        	"About GRASS" "" {
           	"source $env(TCLTKGRASSBASE)/main/grassabout.tcl"
        	}
			-separator
		"About this System" "" {
	   		"exec $env(TCLTKGRASSBASE)/main/tksys.tcl --tcltk"
		}
		-separator
		"Help on scripting" "" {
	    		"source $env(TCLTKGRASSBASE)/main/help-scripting.tcl"
		}
		"Help on html-browser" "" {
	    		"source $env(TCLTKGRASSBASE)/main/help-netscape.tcl"
		}
	}
}
